Bug 293111 - NetworkManager fails in switch to wireless access point
NetworkManager fails in switch to wireless access point
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-17 08:29 EDT by David Hislop
Modified: 2009-07-14 10:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:05:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages output from the switch from wired to wireless to the failure (15.48 KB, text/plain)
2007-09-17 08:31 EDT, David Hislop
no flags Details
/etc/wpa_supplicant/wpa_supplicant.conf (219 bytes, text/plain)
2007-09-17 08:33 EDT, David Hislop
no flags Details
/etc/sysconfig/wpa_supplicant (144 bytes, text/plain)
2007-09-17 08:34 EDT, David Hislop
no flags Details
Log messages from boot (84.15 KB, text/plain)
2008-05-18 00:48 EDT, David Hislop
no flags Details
Log messages filtered on NetworkManager (14.36 KB, text/plain)
2008-05-18 00:48 EDT, David Hislop
no flags Details
Messages log from May 16 23:29:25 fwd filtered on "NetworkManager" (14.21 KB, text/plain)
2008-05-19 07:02 EDT, David Hislop
no flags Details
Wireless adaptor config file (304 bytes, text/plain)
2008-05-19 07:04 EDT, David Hislop
no flags Details
log file with -dddt (56.87 KB, text/plain)
2008-05-22 10:44 EDT, David Hislop
no flags Details

  None (edit)
Description David Hislop 2007-09-17 08:29:41 EDT
Description of problem:
On a fresh Fedora 7 install I've downloaded the firmware (1.0.4.3.arm) for my
Netgear WG511 and copied it to /lib/firmware/isl3890. After startup, I click on
the wireless network in the NetworkManager list, and the adaptor fails to connect.

The wireless access point is a Linksys WRT54GL running WPA2 Personal. I noted at
http://live.gnome.org/NetworkManagerHardware that the Prism54 driver is supposed
to support WPA as of kernel 2.6.19.

Version-Release number of selected component (if applicable):
NetworkManager applet 0.6.5

How reproducible:
Every time

Steps to Reproduce:
1. As above
  
Actual results:
See messages.log extract attached.

Expected results:
Wireless card authenticates and gets an IP.

Additional info:
I've also attached wpa_supplicant configuration.

Any help appreciated, particularly if this is a hopeless cause with the WG511.
Comment 1 David Hislop 2007-09-17 08:31:59 EDT
Created attachment 197331 [details]
/var/log/messages output from the switch from wired to wireless to the failure
Comment 2 David Hislop 2007-09-17 08:33:07 EDT
Created attachment 197341 [details]
/etc/wpa_supplicant/wpa_supplicant.conf
Comment 3 David Hislop 2007-09-17 08:34:52 EDT
Created attachment 197351 [details]
/etc/sysconfig/wpa_supplicant
Comment 4 Dan Williams 2008-04-22 15:02:51 EDT
the driver is dying here as evidenced by the 'management queue full' messages.

But is this still an issue with latest F7 kernel and NM 0.6.6 from F7 updates?
Comment 5 David Hislop 2008-05-01 23:25:23 EDT
Still an issue. Different behaviour. Now there are no messages at all from 
NetworkManager or the kernel after the message:
NetworkManager: <info>  Activation (eth1) Stage 2 of 5 (Device Configure) 
complete.

I've updated to the latest patches available today, including NM 0.6.6. There 
is one additional message from NetworkManager during startup:
eth1: driver does not support SSID scans (scan_capa 0x00).
Comment 6 Bug Zapper 2008-05-14 10:22:59 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 David Hislop 2008-05-18 00:47:26 EDT
Similar problem occurs with Fedora 9.

Log files attached.
messages_log_from_boot.txt is all messages from boot.
messages_log_nm_only.txt is filtered on NetworkManager.
Comment 8 David Hislop 2008-05-18 00:48:16 EDT
Created attachment 305832 [details]
Log messages from boot
Comment 9 David Hislop 2008-05-18 00:48:46 EDT
Created attachment 305833 [details]
Log messages filtered on NetworkManager
Comment 10 Dan Williams 2008-05-18 09:17:02 EDT
David:  there are two problems with your setup:

May 15 19:11:08 hostn nm-system-settings:    ifcfg-fedora: parsing
/etc/sysconfig/network-scripts/ifcfg-eth1 ... 
May 15 19:11:08 hostn nm-system-settings:    ifcfg-fedora:     error: Missing SSID

and:

May 15 19:11:12 hostn firmware.sh[2042]: Cannot find  firmware file 'isl3890'
May 15 19:11:12 hostn kernel: prism54: request_firmware() failed for 'isl3890'
May 15 19:11:12 hostn kernel: eth1: could not upload firmware ('isl3890')

For the first one, you'll need to make sure the ifcfg file is correct, or fix up
the device in system-config-network (System->Administration->Network) and make
sure the "Controlled by NetworkManager" box is checked.

For the second, it looks like the firmware is missing for your card, so the card
won't work correctly.  Did the card at least load it's firmware in F8?
Comment 11 David Hislop 2008-05-19 07:00:58 EDT
Sorry Dan, looks like I gave you some wrong information courtesy of my
inattention and bug 447286. Attachment 305833 [details] is the wrong text. It's from the
installation, and the problem I'm describing is from after I installed the firmware.

I'll attached the correct filtered text. The May 15 19:11:08 error you saw is
now fixed, however if you look in attachment 305832 [details] at May 16 23:29:35, you'll
see that ifcfg-fedora gets a different error (Invalid WEP key length). There is
no WEP key in the file (which I'll also attach).

I've checked, and Controlled by Network Manager is set for both the wired and
wireless adaptors.
Comment 12 David Hislop 2008-05-19 07:02:32 EDT
Created attachment 305923 [details]
Messages log from May 16 23:29:25 fwd filtered on "NetworkManager"
Comment 13 David Hislop 2008-05-19 07:04:18 EDT
Created attachment 305924 [details]
Wireless adaptor config file
Comment 14 Dan Williams 2008-05-19 07:25:14 EDT
David: do you have an /etc/sysconfig/network-scripts/keys-* file too?  If you're
getting an "Invalid WEP key length" error, there may be a bad WEP key in that
file.  The keys-* files exist so that the WEP key is readable only by root,
because if ifcfg files have to be readable by all users.
Comment 15 David Hislop 2008-05-19 07:30:03 EDT
Dan: yes, /etc/sysconfig/network-scripts/keys-eth1 has one line

KEY=s:<correct key follows>
Comment 16 Dan Williams 2008-05-19 07:51:07 EDT
Ok, good info.  This is a bug in the Fedora system settings plugin that does not
handle ASCII WEP keys, which is what the s: indicates.  Will fix.
Comment 17 David Hislop 2008-05-19 08:01:05 EDT
Thanks Dan.

Does it matter for this bug that I'm using WPA, not WEP?

(Which is also the only choice that Network Manager offers me in the Wireless
Network Secrets Required dialog - WPA and WPA2 Personal)
Comment 18 Dan Williams 2008-05-19 10:56:10 EDT
Hmm, the system network configuration does not support WPA at this time, but
it's something we're working on.  So this won't be able to work before login
either with NetworkManager, or with the 'network' service...

Since you've got a key file, it's assumed that you're using WEP.
Comment 19 David Hislop 2008-05-20 08:47:15 EDT
Network Manager only offered me one choice: WPA. Is that because it picked up
the encryption scheme from the network? (But still doesn't support it)
Comment 20 Dan Williams 2008-05-20 17:28:54 EDT
Right; it'll find out what the network supports and only offer you those
options.  WPA should work fine as a user connection, but of course that means
you don't get network-before-login and that the network doesn't persist across
login/logout or fast user switching.
Comment 21 David Hislop 2008-05-21 08:13:59 EDT
I'd actually be happy with that, but if you look at the whole log you'll see
that NetworkManager fails:

May 16 23:42:06 hostn NetworkManager: <info>  Activation (eth1) failed for
access point (sheather_19727)

The errors just above that indicate it had a problem with the connection secrets.
Comment 22 Dan Williams 2008-05-21 10:48:49 EDT
It looks like it fails because you canceled the dialog that asks for secrets:

May 16 23:42:06 hostn NetworkManager: <WARN>  get_secrets_cb(): Couldn't get
connection secrets: applet-device-wireless.c.1298
(get_secrets_dialog_response_cb): canceled.

but it was asking about different secrets because it couldn't connect with the
ones it had.  Would you mind adding "-dddt" to the end of the Exec= line in
/usr/share/dbus-1/system-services/fi.epitest.hostap.WPASupplicant.service and
then rebooting and trying to connect again?  When it fails, please mail me (or
attach it here and check the Private box for the attachment becuase it may
contain private information) /var/log/wpa_supplicant.log.  That'll tell us more
about what's going wrong with the association.
Comment 23 David Hislop 2008-05-22 10:31:45 EDT
Added the debug switches as above, rebooted and logged in, it tried to connect
and failed, asked again for the secret. I re-entered the pass phrase and tried
one more time then cancelled.

Attaching log file. 
Comment 24 David Hislop 2008-05-22 10:44:51 EDT
Created attachment 306388 [details]
log file with -dddt

Couldn't find the private flag on this page. Odd, I know it was here a few days
ago .....
Comment 25 Bug Zapper 2009-06-09 18:50:37 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 26 Bug Zapper 2009-07-14 10:05:44 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.